# Uses of Class
org.eclipse.ecf.remoteservice.client.RemoteServiceClientRegistry

Packages that use RemoteServiceClientRegistry
Package
Description
org.eclipse.ecf.remoteservice.client
org.eclipse.ecf.remoteservice.rest.client

## Uses of RemoteServiceClientRegistry in org.eclipse.ecf.remoteservice.client

Fields in org.eclipse.ecf.remoteservice.client declared as RemoteServiceClientRegistry
Modifier and Type
Field
Description
`protected RemoteServiceClientRegistry`
AbstractClientContainer.`registry`
`protected RemoteServiceClientRegistry`
RemoteServiceClientRegistration.`registry`
Constructors in org.eclipse.ecf.remoteservice.client with parameters of type RemoteServiceClientRegistry
Modifier
Constructor
Description
``
`RemoteServiceClientRegistration(Namespace namespace, String[] classNames, IRemoteCallable[][] restCalls, Dictionary properties, RemoteServiceClientRegistry registry)`
``
`RemoteServiceClientRegistration(Namespace namespace, IRemoteCallable[] restCalls, Dictionary properties, RemoteServiceClientRegistry registry)`

## Uses of RemoteServiceClientRegistry in org.eclipse.ecf.remoteservice.rest.client

Constructors in org.eclipse.ecf.remoteservice.rest.client with parameters of type RemoteServiceClientRegistry
Modifier
Constructor
Description
``
`RestRemoteServiceClientRegistration(Namespace namespace, String[] classNames, IRemoteCallable[][] restCalls, Dictionary properties, RemoteServiceClientRegistry registry)`
``
`RestRemoteServiceClientRegistration(Namespace namespace, IRemoteCallable[] restCalls, Dictionary properties, RemoteServiceClientRegistry registry)`